summaryrefslogtreecommitdiff
path: root/dev-python/py-ubjson
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/py-ubjson
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/py-ubjson')
-rw-r--r--dev-python/py-ubjson/Manifest2
-rw-r--r--dev-python/py-ubjson/metadata.xml21
-rw-r--r--dev-python/py-ubjson/py-ubjson-0.15.0.ebuild23
-rw-r--r--dev-python/py-ubjson/py-ubjson-0.16.1.ebuild23
4 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/py-ubjson/Manifest b/dev-python/py-ubjson/Manifest
new file mode 100644
index 000000000000..e64b1192f212
--- /dev/null
+++ b/dev-python/py-ubjson/Manifest
@@ -0,0 +1,2 @@
+DIST py-ubjson-0.15.0.tar.gz 50111 BLAKE2B e4f248935778f7d0802b5bace155409e47609b18fa21792a8eb16ef24e3ee2eb59d143b039994b4342bb47c20da4539f4d83307f4afb4aeced5c238ea6c7f7cb SHA512 daeb50dfdccf1479a62ad653aaa37cdb0784ff22397e466f7a9af42a1af3165ddd11308b0d8917b96d8a8d4b87040d0789b28223838df826e953acb2e59d3a1c
+DIST py-ubjson-0.16.1.tar.gz 50316 BLAKE2B 442894a7c010d1ba4a836827ca17e7cb10b34a6f5488851ce13a3c3ab02d8173250a664da4504bca9fd2d9377631e249127c789a4824930f8b35db2225902e9d SHA512 5c5e48fa236571832fbcd100ebe0efd7522a8f5773b74475e7b102fadc4e2917549640d12c5afb2aadbe65a6973b75540681da1df8febbf47f84844bc9337fb0
diff --git a/dev-python/py-ubjson/metadata.xml b/dev-python/py-ubjson/metadata.xml
new file mode 100644
index 000000000000..88f612d7244a
--- /dev/null
+++ b/dev-python/py-ubjson/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <email>vilnis.termanis@iotic-labs.com</email>
+ <name>Iotic Labs Ltd</name>
+ </maintainer>
+ <remote-id type="pypi">py-ubjson</remote-id>
+ <remote-id type="github">Iotic-Labs/py-ubjson</remote-id>
+ </upstream>
+ <longdescription>
+ This is a Python v3.2+ (and 2.7+) Universal Binary JSON encoder/decoder
+ based on the draft-12 specification
+ </longdescription>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/py-ubjson/py-ubjson-0.15.0.ebuild b/dev-python/py-ubjson/py-ubjson-0.15.0.ebuild
new file mode 100644
index 000000000000..12d10808c3c0
--- /dev/null
+++ b/dev-python/py-ubjson/py-ubjson-0.15.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Universal Binary JSON encoder/decoder"
+HOMEPAGE="https://github.com/Iotic-Labs/py-ubjson https://pypi.org/project/py-ubjson/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 arm ~arm64 x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # to make unittest happy
+ touch test/__init__.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/py-ubjson/py-ubjson-0.16.1.ebuild b/dev-python/py-ubjson/py-ubjson-0.16.1.ebuild
new file mode 100644
index 000000000000..5afc56e7348d
--- /dev/null
+++ b/dev-python/py-ubjson/py-ubjson-0.16.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Universal Binary JSON encoder/decoder"
+HOMEPAGE="https://github.com/Iotic-Labs/py-ubjson https://pypi.org/project/py-ubjson/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # to make unittest happy
+ touch test/__init__.py || die
+ distutils-r1_src_prepare
+}